package utilities.log;

import java.awt.Choice;
import java.awt.event.ItemListener;
import java.util.Enumeration;
import java.util.Vector;

public class ChoiceHelper {
  public Vector vector;
  public Choice choice;

  public ChoiceHelper(ItemListener il) {
    choice = new Choice();
    choice.addItemListener(il);

    vector = new Vector();
  }

  public void add(String s, int n) {
    choice.addItem(s);

    vector.addElement(new IntAndString(n, s)); //  = s;
  }

  public void removeAll() {
    choice.removeAll();

    vector.removeAllElements(); //  = s;
  }

  public int str_to_num(String s) {
    Enumeration enumeration;
    IntAndString temp_pair;

    enumeration = vector.elements();

    while (enumeration.hasMoreElements()) {

      temp_pair = (IntAndString) (enumeration.nextElement());

      if (temp_pair.string == s)
        return temp_pair.number;
    }

    return -99; // -99 = not found...
  }

  public String num_to_str(int j) {
    Enumeration enumeration;
    IntAndString temp_pair;

    enumeration = vector.elements();

    while (enumeration.hasMoreElements()) {
      temp_pair = (IntAndString) (enumeration.nextElement());

      if (temp_pair.number == j)
        return temp_pair.string;
    }

    return ""; // null marker = not found...
  }

}