/*
 * ToDo:
 *
 * Image for Top Left hand corner of Frame...
 * "Find" option...
 * Pretty bold and italic font display...
 * Pretty colour picker...
 * Web site...
 * Link back to original pages?
 *
 */

package utilities.log;

public class LogFrame {
  LogPanel log_panel;

  public LogFrame(String title) {
    run(title);
  }

  public LogFrame(String title, String content) {
    run(title);
    log_panel.append(content);
  }

  public final void append(String message) {
    log_panel.append(message);
  }

  public final void run(String title) {
    log_panel = new LogPanel();
    AppletFrame af = new AppletFrame(title, log_panel, 800, 600);
    af.show();
  }

  public static final void main(String[] args) {}
}
